# Uses of Interface
org.jboss.logging.processor.model.MessageMethod

Packages that use MessageMethod
Package
Description
org.jboss.logging.processor.apt.report
org.jboss.logging.processor.generator.model
org.jboss.logging.processor.model
org.jboss.logging.processor.validation

## Uses of MessageMethod in org.jboss.logging.processor.apt.report

Methods in org.jboss.logging.processor.apt.report with parameters of type MessageMethod
Modifier and Type
Method
Description
`abstract void`
ReportWriter.`writeDetail(MessageMethod messageMethod)`
Writes a detail line for the report.

## Uses of MessageMethod in org.jboss.logging.processor.generator.model

Method parameters in org.jboss.logging.processor.generator.model with type arguments of type MessageMethod
Modifier and Type
Method
Description
`static ClassModel`
ClassModelFactory.`translation(ProcessingEnvironment processingEnv, MessageInterface messageInterface, String translationSuffix, Map<MessageMethod,String> translations)`
Creates a class model for created translation implementations of the message interface.

## Uses of MessageMethod in org.jboss.logging.processor.model

Methods in org.jboss.logging.processor.model that return types with arguments of type MessageMethod
Modifier and Type
Method
Description
`Collection<MessageMethod>`
MessageInterface.`methods()`
A collection of all the methods this interface needs to implement.

## Uses of MessageMethod in org.jboss.logging.processor.validation

Methods in org.jboss.logging.processor.validation with parameters of type MessageMethod
Modifier and Type
Method
Description
`static FormatValidator`
FormatValidatorFactory.`create(MessageMethod messageMethod)`
`Collection<ValidationMessage>`
MessageIdValidator.`validate(MessageInterface messageInterface, MessageMethod messageMethod)`